#
# spec file for package perl-MP4-Info
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name MP4-Info
Name:           perl-MP4-Info
Version:        1.130.0
Release:        1699.1.pm.2
# 1.13 -> normalize -> 1.130.0
%define cpan_version 1.13
#Upstream:  This program is free software; you can redistribute it and/or modify it under the the same terms as Perl itself.
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Fetch info from MPEG-4 files (.mp4, .m4a, .m4p, .3gp)
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JH/JHAR/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::String)
Requires:       perl(IO::String)
Provides:       perl(MP4::Info) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
The MP4::Info module can be used to extract tag and meta information from
MPEG-4 audio (AAC) and video files. It is designed as a drop-in replacement
for MP3::Info.

Note that this module does not allow you to update the information in
MPEG-4 files.

* $mp4 = MP4::Info->new(FILE)

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc README

%changelog
* Wed Sep  4 2019 olaf@aepfle.de
- Pick a License string that makes SLE15_SP1 happy
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- initial version (1.13)
